Site Health’s plugin compatibility checker for PHP appears to be useless

Despite the Health Check & Troubleshooting plugin being all of 3 weeks old and made by the [WordPress.org](https://WordPress.org) community, using it to check what the “Highest supported PHP” is for a couple dozen plugins turned up “Could not be determined” for every single one of them except itself. Some of the plugins are very popular, so the odds of this happening are low. It must not be working.

Does anyone know of one that does (for 8.x)? Or maybe just a database of the information to be referenced manually?

 

This site will teach you how to build a WordPress website for beginners. We will cover everything from installing WordPress to adding pages, posts, and images to your site. You will learn how to customize your site with themes and plugins, as well as how to market your site online.

Buy WordPress Transfer